Bug 9255 - Не пускает пользователей с большим nofile
: Не пускает пользователей с большим nofile
Status: CLOSED FIXED
: Sisyphus
(All bugs in Sisyphus/openssh-server)
: unstable
: all Linux
: P2 normal
Assigned To:
:
:
:
:
:
  Show dependency tree
 
Reported: 2006-03-16 18:16 by
Modified: 2007-04-23 20:32 (History)


Attachments


Note

You need to log in before you can comment on or make changes to this bug.


Description From 2006-03-16 18:16:26
После установки в /etc/security/limits.conf 
*      hard    nofile  1025 
пользователей перестаёт пускать по ssh. 
(при ограничении меньше 1025 - пускает).
------- Comment #1 From 2006-03-16 18:28:48 -------
А причём тут sshd?

Если pam session management выполняется не от рута, то прав увеличить лимиты нет.

В новой версии, вероятно, pam session management выполняется от рута, так что
осталось дождаться новой версии openssh.
А пока что можно запускать сам sshd с бОльшими лимитами.
------- Comment #2 From 2006-03-17 01:03:57 -------
Каким образом запускать sshd с бОльшими лимитами? 
Где устанавливаются первоначальные лимиты (до pam_limits)? 
------- Comment #3 From 2006-03-17 01:24:33 -------
Эти лимиты наследуются при fork и execve.
При старте лимиты наследуются у rc.sysinit, при рестарте - у того, кто запускает
 скрипт.
------- Comment #4 From 2007-04-04 21:32:43 -------
Fixed in pam-config-1.4.0-alt1/openssh-4.6p1-alt1.